### Method

# Gtk TreeModel iter_n_children

#### Declaration [src]

    int
    gtk_tree_model_iter_n_children (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter
    )

#### Description [src]

Returns the number of children that `iter` has.

As a special case, if `iter` is `NULL`, then the number of toplevel nodes is returned.

#### Parameters

`iter` | `GtkTreeIter`
| The `GtkTreeIter`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `int`
| The number of children of `iter`.